Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.converters.configuration
[Java] Interface ConverterConfiguration

    @SuppressWarnings("rawtypes")
    public interface ConverterConfiguration

Authors:
  Siegfried Puchbauer
  Graeme Rocher

Since:
  1.1

Method Summary
`CircularReferenceBehaviour` | `getCircularReferenceBehaviour()` Lookup the configured CircularReferenceBehaviour (how the converter should behave when a circular reference is detected)
`java.lang.String` | `getEncoding()` Lookup the configured default Character encoding for the Converter
`ObjectMarshaller` | `getMarshaller(java.lang.Object o)` Lookup the ObjectMarshaller with the highest priority that support to marshall the given object
`java.util.List` | `getOrderedObjectMarshallers()` Retrieve the ordered list of ObjectMarshallers
`ProxyHandler` | `getProxyHandler()` Lookup the ProxyHandler used to deal with proxies instances.
`boolean` | `isPrettyPrint()` Lookup method whether the converter should default to pretty printed output

Method Detail

### getCircularReferenceBehaviour

    public CircularReferenceBehaviour getCircularReferenceBehaviour()

  Lookup the configured CircularReferenceBehaviour (how the converter should behave when a circular reference is detected)
  Returns:
    an instance of CircularReferenceBehaviour
  See Also:
    org.codehaus.groovy.grails.web.converters.Converter.CircularReferenceBehaviour

### getEncoding

    public java.lang.String getEncoding()

  Lookup the configured default Character encoding for the Converter
  Returns:
    the Charset name

### getMarshaller

    public ObjectMarshaller getMarshaller(java.lang.Object o)

  Lookup the ObjectMarshaller with the highest priority that support to marshall the given object
  Parameters:
    `o` - the object which is about to be converted
  Returns:
    the ObjectMarshaller instance

### getOrderedObjectMarshallers

    public java.util.List getOrderedObjectMarshallers()

  Retrieve the ordered list of ObjectMarshallers
  Returns:
    the List of ObjectMarshallers ordered by priority

### getProxyHandler

    public ProxyHandler getProxyHandler()

  Lookup the ProxyHandler used to deal with proxies instances.
  Returns:
    The proxy handler

### isPrettyPrint

    public boolean isPrettyPrint()

  Lookup method whether the converter should default to pretty printed output
  Returns:
    a boolean

Groovy Documentation